Subject: bug#386: 23.0.60; Different behavior in C-e and C-S-e between -nw and normal mode

From: Chong Yidong <[email-masked]>
Date: Mon, 28 Jul 2008 09:52:07 -0400

Paul Lussier <[email-masked]> writes:

>> I can't reproduce this.  Do you still see this problem?  If so, please
>> provide an exact recipe, starting with emacs -Q
>
> Yes, I still see this problem.  The above recipe *was* with -Q.
>
>  $ emacs -Q &
>
>  M-<     ; you're in the *scratch* buffer, so move to the top, and mark
>          ; the text.
>  C-SPC
>  C-n C-n ; See [1]
>  C-e     ; See [2]
>
>
> [1] Highlighted text is currently:
>
>  ;; This buffer is for notes you don't want to save, and for Lisp evaluation.
>  ;; If you want to create a file, visit that file with C-x C-f,
>
> with cursor on line 3, col 1.
>
> [2] Highlighted text is currently:
>
>  ;; then enter the text in that file's own buffer.
>
> with cursor on line 3, column 49 (just after the '.').

I can't reproduce it on latest CVS.  Please try with that and see if it
still occurs.  Thanks.

> M-x emacs-version claims:
>
>   GNU Emacs 23.0.60.1 (i686-pc-linux-gnu, X toolkit) of 2008-07-07
>
> Interestingly, this *only* seems to happen in X.  If I run emacs -nw, I
> do not see the same problem.
>
> C-h k C-e interestingly says:
>
>   C-e (translated from C-S-e) runs the command move-end-of-line, which
>   is an interactive compiled Lisp function in `simple.el'.
>
> Whereas C-h k C-S-e saysL
>
>   C-e runs the command move-end-of-line, which is an interactive
>   compiled Lisp function in `simple.el'.
>
> So, it *seems* somehow, that C-S-e is behaving as C-e should...
> I'm not sure why C-e is "translated" from anything.  And attempts at
> re-mapping in my ~/.emacs doesn't seem to work.
>
> I was going to update my CVS today and try another build.  I'll let you
> know if that does anything.